Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class SequentialRewriteTextStore

    java.lang.Object
      org.eclipse.jface.text.SequentialRewriteTextStore

All Implemented Interfaces:
  ITextStore

public class SequentialRewriteTextStore
extends Object
implements ITextStore

A text store that optimizes a given source text store for sequential rewriting. While rewritten it keeps a list of replace command that serve as patches for the source store. Only on request, the source store is indeed manipulated by applying the patch commands to the source text store.

Since:
  2.0

Constructor Summary
`SequentialRewriteTextStore(ITextStore source)` Creates a new sequential rewrite store for the given source store.

Method Summary
`void` | `dispose()` Disposes this rewrite store.
`char` | `get(int offset)` Returns the character at the specified offset.
`String` | `get(int offset, int length)` Returns the text of the specified character range.
`int` | `getLength()` Returns number of characters stored in this text store.
`ITextStore` | `getSourceStore()` Returns the source store of this rewrite store.
`void` | `replace(int offset, int length, String text)` Replaces the specified character range with the given text.
`void` | `set(String text)` Replace the content of the text store with the given text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequentialRewriteTextStore

    public SequentialRewriteTextStore(ITextStore source)

  Creates a new sequential rewrite store for the given source store.

Parameters:
  `source` - the source text store

Method Detail

### getSourceStore

    public ITextStore getSourceStore()

  Returns the source store of this rewrite store.

  Returns:
    the source store of this rewrite store

### replace

    public void replace(int offset,
                        int length,
                        String text)

  Description copied from interface: `ITextStore`
  Replaces the specified character range with the given text. `replace(getLength(), 0, "some text")` is a valid call and appends text to the end of the text store.

  Specified by:
    `replace` in interface `ITextStore`
  Parameters:
    `offset` - the offset of the range to be replaced
    `length` - the number of characters to be replaced
    `text` - the substitution text

### set

    public void set(String text)

  Description copied from interface: `ITextStore`
  Replace the content of the text store with the given text. Convenience method for `replace(0, getLength(), text`.

  Specified by:
    `set` in interface `ITextStore`
  Parameters:
    `text` - the new content of the text store

### get

    public String get(int offset,
                      int length)

  Description copied from interface: `ITextStore`
  Returns the text of the specified character range.

  Specified by:
    `get` in interface `ITextStore`
  Parameters:
    `offset` - the offset of the range
    `length` - the length of the range
  Returns:
    the text of the range

### get

    public char get(int offset)

  Description copied from interface: `ITextStore`
  Returns the character at the specified offset.

  Specified by:
    `get` in interface `ITextStore`
  Parameters:
    `offset` - the offset in this text store
  Returns:
    the character at this offset

### getLength

    public int getLength()

  Description copied from interface: `ITextStore`
  Returns number of characters stored in this text store.

  Specified by:
    `getLength` in interface `ITextStore`
  Returns:
    the number of characters stored in this text store

### dispose

    public void dispose()

  Disposes this rewrite store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.